package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.FeedArea;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author author
 * @since 2023-09-22
 */
public interface IFeedAreaService extends IService<FeedArea> {

    /*饲养类型*/
    Result feedType(Map<String, String> paramsMap);

    /*饲养曲线*/
    Result feedList(Map<String, String> paramsMap);

    /*饲养参数*/
    Result feedNumber(Map<String, String> paramsMap);

    /*设备状态实时统计*/
    Result feedStatus(Map<String, String> paramsMap);

    /*实时预警*/
    Result reminderPig(Map<String, String> paramsMap);

    /*总览*/
    Result listCount(Map<String, String> paramsMap);

    /*设备状态监测*/
    Result listEnvStatus(Map<String, String> paramsMap);


    /*后台设备总体概况*/
    Result feedEnvCount(Map<String, String> paramsMap);

    /*设备管理的列表*/
    Result feedEnvList(Map<String, String> paramsMap);

    /*分类型饲养列表*/
    Result feedingList(Map<String, String> paramsMap);

    /*分类型总体概况*/
    Result feedingTypeCount(Map<String,String> paramsMap);

    /*饲喂详情曲线*/
    Result feedingDetail(Map<String,String> paramsMap);
}
